unit StaticArrayClass;

interface

uses
  Windows, Classes;

type
  TDblArrayEx = array [0..10] of Double;

  TplArrayCompo = class(TComponent)
  private
    FDblArray  : TDblArrayEx;
    function GetDblArray(Index: Integer): Double;
    procedure SetDblArray(Index: Integer; const Value: Double);
  public
    property DblArray[Index: Integer] : Double read GetDblArray write SetDblArray;
  end;

implementation

{ TplArrayCompo }

function TplArrayCompo.GetDblArray(Index: Integer): Double;
begin
  Result := FDblArray[Index];
end;

procedure TplArrayCompo.SetDblArray(Index: Integer; const Value: Double);
begin
  FDblArray[Index] := Value;
end;

end.
