{$WARNINGS OFF}
//=============================================================================
//  SaveComponent
//  ϐIuWFNg^̕ۑƓǏö̕@
//
//-----------------------------------------------------------------------------
//
//  ygpz
//
//  TCg̃AvP[VށCR|[lgCR[hނ́C]ځCρCzz
//  (IWiCϔ)Ȃǂ͑SĎRłDppRłDACgp̋L
//  ڋ`܂DIWî̂pƂ邱Ƃ͋֎~܂D
//  ȂC{TCg̃vOR[hgpƂɂĐCȂ
//  QCɊւĂ҂͈؊֗^Ȃ̂Ƃ܂DD
//
//-----------------------------------------------------------------------------
//
//  yz
//
//  2001N1217 `
//  2004N1220 Đ
//  2008N1125 Windows XP(SP2) + Delphi7 ProœmF
//  2013N0417 Windows 7 U64(SP1) + Delphi XE ProœmF
//
//-----------------------------------------------------------------------------
//
//  ymFz
//
//  Windows 7 U64(SP1) + Delphi XE(UP1) Pro
//
//  Presented by Mr.XRAY
//  http://mrxray.on.coocan.jp/
//=============================================================================
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ExtDlgs;

type
  TSubData = class;

  TData = class(TComponent)
  private
    FIntVal  : Integer;
    FColor   : TColor;
    FFont    : TFont;
    FSubData : TSubData;
    procedure SetFont(const Value: TFont);
    procedure SetSubData(const Value: TSubData);
  protected
  public
    constructor Create(AOwner: TComponent);override;
    destructor Destroy; override;
  published
    property IntVal  : Integer  read FIntVal   write FIntVal;
    property Color   : TColor   read FColor    write FColor;
    property Font    : TFont    read FFont     write SetFont;
    property SubData : TSubData read FSubData  write SetSubData;
  end;

  TSubData = class(TPersistent)
  private
    FName : String;
    FID   : Integer;
  public
  published
    property Name : String  read FName write FName;
    property ID   : Integer read FID   write FID;
  end;

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private 錾 }
    FTestData : TData;
    FFileName : TFileName;
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{ TData }

//-----------------------------------------------------------------------------
//  TData NX Create
//  IuWFNg^̃vpeB͂Ő
//-----------------------------------------------------------------------------
constructor TData.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

  FSubData := TSubData.Create;
  FFont    := TFont.Create;
end;

//-----------------------------------------------------------------------------
//  TData NX DestroyDIuWFNgj
//-----------------------------------------------------------------------------
destructor TData.Destroy;
begin
  FreeAndNil(FSubData);
  FreeAndNil(FFont);

  inherited;
end;

//-----------------------------------------------------------------------------
//  Font IuWFNg̐ݒ
//-----------------------------------------------------------------------------
procedure TData.SetFont(const Value: TFont);
begin
  FFont.Assign(Value);
end;

//-----------------------------------------------------------------------------
//  TSubData IuWFNg̐ݒ
//  ̃vOł͕Kvȉӏ͂Ȃ̂ write FSubData ł\ł
//  邪CŃG[ŔY܂Ȃ߂Ɏ
//-----------------------------------------------------------------------------
procedure TData.SetSubData(const Value: TSubData);
begin
  FSubData.Assign(Value);
end;

//=============================================================================
//  tH[𐶐TDataNX̃IuWFNg TestData 
//  FFileName ͕ۑt@C
//=============================================================================
procedure TForm1.FormCreate(Sender: TObject);
begin
  FTestData  := TData.Create(Self);
  FFileName := ExtractFilePath(Application.ExeName) + 'ATest.dat';
end;

//=============================================================================
//  mFp̃f[^Zbg
//  񂱂̒lŒł TData  constructor Őݒ肵Ă\Ȃ
//  邢͏ݒ constructor ōs
//
//  ̃R[hł́CMemo1 ɕ\R[hȂ̂ Memo1 ɂ͕\Ȃ
//=============================================================================
procedure TForm1.Button1Click(Sender: TObject);
var
  LFont : TFont;
begin
  if Assigned(FTestData) then begin
    LFont := TFont.Create;
    try
      LFont.Size            := 12;
      LFont.Color           := clBlue;
      FTestData.Font         := LFont;
      FTestData.IntVal       := 2005;
      FTestData.Color        := clMoneyGreen;
      FTestData.SubData.Name := 'Mr.XRAY';
      FTestData.SubData.ID   := 1234567890;
    finally
      FreeAndNil(LFont);
    end;
  end;
end;

//=============================================================================
//  ݂̃f[^ۑ
//  TComponent ̔hNXvpeBȂ̂ WriteComponent  OK
//=============================================================================
procedure TForm1.Button2Click(Sender: TObject);
var
  LFileStream : TFileStream;
begin
  LFileStream := TFileStream.Create(FFileName, fmCreate);
  try
    if Assigned(FTestData) then begin
      LFileStream.WriteComponent(FTestData);
    end;
  finally
    FreeAndNil(LFileStream);
  end;
end;

//=============================================================================
//  ۑĂf[^Ǐoĕ\
//  TComponent ̔hNX̃vpeBȂ̂ ReadComponent  OK
//=============================================================================
procedure TForm1.Button3Click(Sender: TObject);
var
  LFileStream : TFileStream;
  LTestData   : TData;
begin
  Memo1.Clear;
  //Ǐof[^̊mF̂߂TData̕ʂ̖ÕIuWFNg𐶐
  LTestData  := TData.Create(Self);
  try
    LFileStream := TFileStream.Create(FFileName, fmOpenRead);
    try
      LFileStream.ReadComponent(LTestData);
    finally
      LFileStream.Free;
    end;
    // Ǐof[^\
    Memo1.Lines.Add(IntToStr(LTestData.IntVal));
    Memo1.Lines.Add(LTestData.SubData.Name);
    Memo1.Lines.Add(IntToStr(LTestData.SubData.ID));
    Memo1.Color:=LTestData.Color;
    Memo1.Font.Assign(LTestData.Font);
  finally
    // eXgȂ̂łj
    FreeAndNil(LTestData);
  end;
end;

end.
